Update environment
Changes the name, track, approval rule, rollout policy or position. Requires the project maintainer role.
Operation ID
update_project_environmentChanges the name, track, approval rule, rollout policy or position. Requires the project maintainer role.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
project_id*string
Project ID
environment_id*string
Environment ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Changes to an environment. The key and store are fixed once created.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/projects/string/environments/string" \ -H "Content-Type: application/json" \ -d '{}'{ "approval_required": true, "approvers": { "role": null, "users": [ { "email": "string", "user_id": "string" } ] }, "created_at": 0, "id": "string", "key": "string", "latest_release": null, "name": "string", "position": 0, "project_id": "string", "promotable": true, "rollout_policy": { "approval": "none", "crash_rate_threshold": 0, "interval_hours": 0.1, "steps": [ 0.1 ] }, "store": "google_play", "submit_for_review": true, "track": "string", "updated_at": 0}